Juan Barry Manual Canham
============
Email: cv@juancanham.com

Web: https://cv.juancanham.com

A Pragmatic Cloud "DevOps" Engineer, with experience at a variety of companies, across a range of technologies
driving both technological change as well as business focused outcomes.
Capable of wearing whatever hat is needed for a given job, primarily working as both:
* an architect, aligning the technical solutions to the customers requirements
* a technical lead, both delivering code and guiding/mentoring/supporting teams as required.


## SKILLS

  - Programming: Python Ruby Bash JavaScript Apex/Java Other Languages 
  - AWS: Cloudformation IAM Lambda DynamoDB Core AWS services Additional AWS services 
  - DevOps tools and methodologies: IaC Immutability Configuration Management TDD - Infrastructure TDD - Application Build systems Containers Init systems Agile 
  - Google: GCP Google deployment manager Google App Engine Google Apps 
  - Salesforce: Apex Configuration 

## EMPLOYMENT

### *Open Source Developer*, [Self](https://juancanham.com) (2019-07 — Present)

Spending a few months developing tools to make engineering in the clouds easier. And other assorted tools
  - Quickly Built a tool to view twitter exports
  - Begun work on a module
  - Built a website to highlight the problems with FPTP
  - Built a tool to monitor activity on toxic internet communities

### *Cloud Systems Developer Lead*, [Cloudreach](https://www.cloudreach.com) (2014-03 — 2019-07)

Worked on customer projects as a Lead/Architect and mentored a small team.
  - Architect on several Enterprise engagement, at companies such as NBIM, BP, News UK, etc.
  - Delivered both the architecture and implementation on multiple Cloud Access models
  - Managed a team for 4 engineers, helping them get the most out of working for Cloudreach
  - Helped run a city government hackathon (TFL)

### *Role Owner (Cloud Systems Developers)*, [Cloudreach](https://www.cloudreach.com) (2016-06 — 2019-07)

Worked with the leadership team to improve the System Developers role.
  - Helped Engineers get improve their technical skills though a hands-on training workshop program
  - Trained and mentored multiple sets of graduates

### *Internal hackathons/skunkworks Developer*, [Cloudreach](https://www.cloudreach.com) (2012-02 — 2019-07)

While at Cloudreach, worked on various spikes and hackathons
  - Built Automated tanks that used image recognition to move and fire at each other.
  - Built various useful internal tools, that remained in use for years
  - Built a variety of IaC tools, that made deployments easier
  - Won a trip to Central America
  - Had project open sourced externally, by somebody that found it useful

### *Cloud Systems Developer*, [Cloudreach](https://www.cloudreach.com) (2012-02 — 2014-03)

Worked on technical projects on AWS, Google Apps & Salesforce both individually and as part of a team.
  - Worked across 3 cloud platforms (Google, AWS, Salesforce)
  - Delivered difficult Google 2 Google migrations on tight deadlines

### *Support Engineer*, [Supporttree](https://supporttree.co.uk) (2010-01 — 2012-02)

Full support for small businesses including end user systems, on-premise servers and cloud services.
  - Worked in a user facing role, for a variety of small businesses
  - Made use of automation and unix, in an otherwise manual windows environment




## EDUCATION

### UCL (2006-09 — 2009-07)



### King's School Grantham (2004-09 — 2006-07)












## INTERESTS

- OPEN SOURCE & LINUX

- TRAVELLING

- PUNK ROCK, POLITICS & THE PUB


